// EditMLRStatePanel.cpp : implementation file
//
#include "stdafx.h"
#include "pixelwhippro.h"
#include "EditMLRStatePanel.h"
#include "EditMLRStateDlg.h"



extern CPixelWhipProApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CEditMLRStatePanel dialog


CEditMLRStatePanel::CEditMLRStatePanel(CWnd* pParent /*=NULL*/)
	: CDynaPanel(CEditMLRStatePanel::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditMLRStatePanel)
	//}}AFX_DATA_INIT
}


void CEditMLRStatePanel::DoDataExchange(CDataExchange* pDX)
{
	CDynaPanel::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditMLRStatePanel)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditMLRStatePanel, CDynaPanel)
	//{{AFX_MSG_MAP(CEditMLRStatePanel)
	ON_BN_CLICKED(IDC_SETSTATE, OnSetstate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditMLRStatePanel message handlers

void CEditMLRStatePanel::Set(void *dat)
{
State=(MidLevelRenderer::MLRState *)dat;

}


void CEditMLRStatePanel::OnSetstate() 
{
					CEditMLRStateDlg dlg1;
					Stuff::DynamicArrayOf<	MidLevelRenderer::MLRState> States(1);
					States[0]=*State;
					
					dlg1.SetStates(&States);
					if(dlg1.DoModal()==IDOK)
					{
						*State=States[0];
					}
}
